## org.apache.batik.i18n
Interface Localizable

All Known Subinterfaces:
  ClockParser, ExtendedLocalizable, Interpreter, Parser

All Known Implementing Classes:
  AbstractDocument, AbstractParser, JaclInterpreter, JPythonInterpreter, LocalizableSupport, Parser, RhinoInterpreter, SVGDOMImplementation, XMLScanner

public interface Localizable

This interface must be implemented by the classes which must provide a way to override the default locale.

Method Summary
`java.lang.String` `formatMessage(java.lang.String key, java.lang.Object[] args)` Creates and returns a localized message, given the key of the message in the resource bundle and the message parameters.
`java.util.Locale` `getLocale()` Returns the current locale or null if the locale currently used is the default one.
`void` `setLocale(java.util.Locale l)` Provides a way to the user to specify a locale which override the default one.

Method Detail

### setLocale

    public void setLocale(java.util.Locale l)

  Provides a way to the user to specify a locale which override the default one. If null is passed to this method, the used locale becomes the global one.

  Parameters:
    `l` - The locale to set.

### getLocale

    public java.util.Locale getLocale()

  Returns the current locale or null if the locale currently used is the default one.

### formatMessage

    public java.lang.String formatMessage(java.lang.String key,
                                          java.lang.Object[] args)
                                   throws java.util.MissingResourceException

  Creates and returns a localized message, given the key of the message in the resource bundle and the message parameters. The messages in the resource bundle must have the syntax described in the java.text.MessageFormat class documentation.

  Parameters:
    `key` - The key used to retreive the message from the resource bundle.
    `args` - The objects that compose the message.
  Throws:
    `java.util.MissingResourceException` - if the key is not in the bundle.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.